package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import org.apache.ibatis.annotations.Mapper;
import com.brilliance.isc.bo.Cnn;

import java.util.Collection;
import java.util.List;

@Mapper
public interface CnnMapper {

    int insert(Cnn record);

    int deleteByCndinr(@Param("cndinr") String cndinr);

    List<Cnn> selectByCndinr(@Param("cndinr") String cndinr);

    int insertSelective(Cnn record);

    int updateByPrimaryKeySelective(Cnn record);

    int updateByPrimaryKey(Cnn record);

    int deleteByPrimaryKey(Cnn record);

    int deleteByIds(Collection<Object> collection);

    Cnn selectByPrimaryKey(Cnn record);

}
